org.richfaces.ui.input.autocomplete

## Class AutocompleteRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.ui.input.InputRendererBase
      - - org.richfaces.ui.input.autocomplete.AutocompleteRendererBase
        - - org.richfaces.ui.input.autocomplete.AutocompleteRenderer

- All Implemented Interfaces:
    MetaComponentRenderer

      public class AutocompleteRenderer
      extends AutocompleteRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.ui.input.autocomplete.AutocompleteRendererBase

      `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutocompleteRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` Template method for custom finish encoding of concrete renderer.
    `void` | `renderSuggestions(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` The implementation of rendering suggestions must be provided so that it can be used by both on initial request as well as during AJAX updates of suggestions.
    `void` | `renderSuggestionsAsList(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, Iterable items)`
    `void` | `renderSuggestionsAsTable(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, Iterable items)`

    - ### Methods inherited from class org.richfaces.ui.input.autocomplete.AutocompleteRendererBase

      `asDataModel, decodeMetaComponent, doDecode, doEncodeBegin, encodeMetaComponent, getClientFilterFunction, getConvertedValue, getRendersChildren, getSuggestions, getSuggestionsAsDataModel, saveVar, setVar`

    - ### Methods inherited from class org.richfaces.ui.input.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutocompleteRenderer

          public AutocompleteRenderer()

  - ### Method Detail

    - #### renderSuggestionsAsList

          public void renderSuggestionsAsList(javax.faces.context.ResponseWriter responseWriter,
                                     javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent uiComponent,
                                     Iterable items)
                                       throws IOException

      Throws:
        `IOException`

    - #### renderSuggestionsAsTable

          public void renderSuggestionsAsTable(javax.faces.context.ResponseWriter responseWriter,
                                      javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent uiComponent,
                                      Iterable items)
                                        throws IOException

      Throws:
        `IOException`

    - #### renderSuggestions

          public void renderSuggestions(javax.faces.context.ResponseWriter responseWriter,
                               javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent uiComponent)
                                 throws IOException

      Description copied from class: `AutocompleteRendererBase`
      The implementation of rendering suggestions must be provided so that it can be used by both on initial request as well as during AJAX updates of suggestions.
      Specified by:
        `renderSuggestions` in class `AutocompleteRendererBase`
      Throws:
        `IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent uiComponent)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.